--[[
MulcherSpeedLimitFix

Author:		Ifko[nator]
Date:		15.05.2022
Version:	3.0

History:	v1.0 @15.05.2022 - initial release in FS 22
]]

MulcherSpeedLimitFix = {};

function MulcherSpeedLimitFix.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(Mulcher, specializations);
end;

function MulcherSpeedLimitFix.registerOverwrittenFunctions(vehicleType)
	SpecializationUtil.registerOverwrittenFunction(vehicleType, "doCheckSpeedLimit", MulcherSpeedLimitFix.doCheckSpeedLimit);
end;

function MulcherSpeedLimitFix:doCheckSpeedLimit(superFunc)
	local spec = self.spec_mulcher

	return superFunc(self) or self:getIsImplementChainLowered() or spec.isWorking;
end;